# inspect_attrs.MyClass class

A class with attr-defined properties

## Special methods

def __init__(self, annotated: float, unannotated = 4, complex_annotation: typing.List[typing.Tuple[int, float]] = [], complex_annotation_in_attr: typing.List[typing.Tuple[int, float]] = [], hidden_property: float = 3) -> None
  External docs for the init

## Properties

annotated: float get set del
complex_annotation: typing.List[typing.Tuple[int, float]] get set del
unannotated get set del
  External docs for this property
complex_annotation_in_attr: typing.List[typing.Tuple[int, float]] get set del

## Data

plain_data: float = 35
  This is plain data, not handled by attrs

## Method documentation

### def inspect_attrs.MyClass.__init__(self, annotated: float, unannotated = 4, complex_annotation: typing.List[typing.Tuple[int, float]] = [], complex_annotation_in_attr: typing.List[typing.Tuple[int, float]] = [], hidden_property: float = 3) -> None

External docs for the init

Parameters
annotated | The first argument
unannotated | This gets the default of four
complex_annotation | Yes, a list
complex_annotation_in_attr | Annotated using `attr.ib(type=)`, should be shown as well
hidden_property | Interesting, but I don't care.

The `hidden_property` isn't shown in the output as it's prefixed with an underscore.